#!/usr/bin/env node
const path = require('path')
const Compile = require('../lib/webpack')
const commender = require('commander')
let options
// new Compile(options).run()

function setFile (val) {
  // console.log(val)
  options = require(`../${val}`)
  new Compile(options).run()
  // console.log(path.resolve(__dirname, `../${val}`), `../${val}`)
  // console.log(options)
}

commender
    .version(require('../package').version) // 设置版本
    .option('-c, --config <filePath>', 'Input config filePath!', setFile) // 自定义形参[port]
    .parse(process.argv);

    if (process.argv.length == 2) {
      options = require(`../webpack.config`)
      new Compile(options).run()
    }
    // console.log(process.argv)

    commender.on('--help', function(){
      console.log('')
      console.log('Examples:');
      console.log('  $ custom-help --help');
      console.log('  $ custom-help -h');
    });